(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["common"],{

/***/ "./node_modules/@ionic/core/dist/esm/framework-delegate-d1eb6504.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@ionic/core/dist/esm/framework-delegate-d1eb6504.js ***!
  \**************************************************************************/
/*! exports provided: a, d */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return attachComponent; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return detachComponent; });
const attachComponent = async (delegate, container, component, cssClasses, componentProps) => {
    if (delegate) {
        return delegate.attachViewToDom(container, component, componentProps, cssClasses);
    }
    if (typeof component !== 'string' && !(component instanceof HTMLElement)) {
        throw new Error('framework delegate is missing');
    }
    const el = (typeof component === 'string')
        ? container.ownerDocument && container.ownerDocument.createElement(component)
        : component;
    if (cssClasses) {
        cssClasses.forEach(c => el.classList.add(c));
    }
    if (componentProps) {
        Object.assign(el, componentProps);
    }
    container.appendChild(el);
    if (el.componentOnReady) {
        await el.componentOnReady();
    }
    return el;
};
const detachComponent = (delegate, element) => {
    if (element) {
        if (delegate) {
            const container = element.parentElement;
            return delegate.removeViewFromDom(container, element);
        }
        element.remove();
    }
    return Promise.resolve();
};




/***/ }),

/***/ "./node_modules/@ionic/core/dist/esm/haptic-da73c8fd.js":
/*!**************************************************************!*\
  !*** ./node_modules/@ionic/core/dist/esm/haptic-da73c8fd.js ***!
  \**************************************************************/
/*! exports provided: a, b, c, d, h */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return hapticImpact; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return hapticSelectionStart; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return hapticSelectionChanged; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return hapticSelectionEnd; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "h", function() { return hapticSelection; });
const HapticEngine = {
    getEngine() {
        const win = window;
        return (win.TapticEngine) || (win.Capacitor && win.Capacitor.isPluginAvailable('Haptics') && win.Capacitor.Plugins.Haptics);
    },
    available() {
        return !!this.getEngine();
    },
    isCordova() {
        return !!window.TapticEngine;
    },
    isCapacitor() {
        const win = window;
        return !!win.Capacitor;
    },
    impact(options) {
        const engine = this.getEngine();
        if (!engine) {
            return;
        }
        const style = this.isCapacitor() ? options.style.toUpperCase() : options.style;
        engine.impact({ style });
    },
    notification(options) {
        const engine = this.getEngine();
        if (!engine) {
            return;
        }
        const style = this.isCapacitor() ? options.style.toUpperCase() : options.style;
        engine.notification({ style });
    },
    selection() {
        this.impact({ style: 'light' });
    },
    selectionStart() {
        const engine = this.getEngine();
        if (!engine) {
            return;
        }
        if (this.isCapacitor()) {
            engine.selectionStart();
        }
        else {
            engine.gestureSelectionStart();
        }
    },
    selectionChanged() {
        const engine = this.getEngine();
        if (!engine) {
            return;
        }
        if (this.isCapacitor()) {
            engine.selectionChanged();
        }
        else {
            engine.gestureSelectionChanged();
        }
    },
    selectionEnd() {
        const engine = this.getEngine();
        if (!engine) {
            return;
        }
        if (this.isCapacitor()) {
            engine.selectionChanged();
        }
        else {
            engine.gestureSelectionChanged();
        }
    }
};
/**
 * Trigger a selection changed haptic event. Good for one-time events
 * (not for gestures)
 */
const hapticSelection = () => {
    HapticEngine.selection();
};
/**
 * Tell the haptic engine that a gesture for a selection change is starting.
 */
const hapticSelectionStart = () => {
    HapticEngine.selectionStart();
};
/**
 * Tell the haptic engine that a selection changed during a gesture.
 */
const hapticSelectionChanged = () => {
    HapticEngine.selectionChanged();
};
/**
 * Tell the haptic engine we are done with a gesture. This needs to be
 * called lest resources are not properly recycled.
 */
const hapticSelectionEnd = () => {
    HapticEngine.selectionEnd();
};
/**
 * Use this to indicate success/failure/warning to the user.
 * options should be of the type `{ style: 'light' }` (or `medium`/`heavy`)
 */
const hapticImpact = (options) => {
    HapticEngine.impact(options);
};




/***/ }),

/***/ "./node_modules/@ionic/core/dist/esm/spinner-configs-c78e170e.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@ionic/core/dist/esm/spinner-configs-c78e170e.js ***!
  \***********************************************************************/
/*! exports provided: S */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "S", function() { return SPINNERS; });
const spinners = {
    'bubbles': {
        dur: 1000,
        circles: 9,
        fn: (dur, index, total) => {
            const animationDelay = `${(dur * index / total) - dur}ms`;
            const angle = 2 * Math.PI * index / total;
            return {
                r: 5,
                style: {
                    'top': `${9 * Math.sin(angle)}px`,
                    'left': `${9 * Math.cos(angle)}px`,
                    'animation-delay': animationDelay,
                }
            };
        }
    },
    'circles': {
        dur: 1000,
        circles: 8,
        fn: (dur, index, total) => {
            const step = index / total;
            const animationDelay = `${(dur * step) - dur}ms`;
            const angle = 2 * Math.PI * step;
            return {
                r: 5,
                style: {
                    'top': `${9 * Math.sin(angle)}px`,
                    'left': `${9 * Math.cos(angle)}px`,
                    'animation-delay': animationDelay,
                }
            };
        }
    },
    'circular': {
        dur: 1400,
        elmDuration: true,
        circles: 1,
        fn: () => {
            return {
                r: 20,
                cx: 48,
                cy: 48,
                fill: 'none',
                viewBox: '24 24 48 48',
                transform: 'translate(0,0)',
                style: {}
            };
        }
    },
    'crescent': {
        dur: 750,
        circles: 1,
        fn: () => {
            return {
                r: 26,
                style: {}
            };
        }
    },
    'dots': {
        dur: 750,
        circles: 3,
        fn: (_, index) => {
            const animationDelay = -(110 * index) + 'ms';
            return {
                r: 6,
                style: {
                    'left': `${9 - (9 * index)}px`,
                    'animation-delay': animationDelay,
                }
            };
        }
    },
    'lines': {
        dur: 1000,
        lines: 12,
        fn: (dur, index, total) => {
            const transform = `rotate(${30 * index + (index < 6 ? 180 : -180)}deg)`;
            const animationDelay = `${(dur * index / total) - dur}ms`;
            return {
                y1: 17,
                y2: 29,
                style: {
                    'transform': transform,
                    'animation-delay': animationDelay,
                }
            };
        }
    },
    'lines-small': {
        dur: 1000,
        lines: 12,
        fn: (dur, index, total) => {
            const transform = `rotate(${30 * index + (index < 6 ? 180 : -180)}deg)`;
            const animationDelay = `${(dur * index / total) - dur}ms`;
            return {
                y1: 12,
                y2: 20,
                style: {
                    'transform': transform,
                    'animation-delay': animationDelay,
                }
            };
        }
    }
};
const SPINNERS = spinners;




/***/ }),

/***/ "./node_modules/@ionic/core/dist/esm/theme-c2dc54d9.js":
/*!*************************************************************!*\
  !*** ./node_modules/@ionic/core/dist/esm/theme-c2dc54d9.js ***!
  \*************************************************************/
/*! exports provided: c, g, h, o */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return createColorClasses; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "g", function() { return getClassMap; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "h", function() { return hostContext; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "o", function() { return openURL; });
const hostContext = (selector, el) => {
    return el.closest(selector) !== null;
};
/**
 * Create the mode and color classes for the component based on the classes passed in
 */
const createColorClasses = (color) => {
    return (typeof color === 'string' && color.length > 0) ? {
        'ion-color': true,
        [`ion-color-${color}`]: true
    } : undefined;
};
const getClassList = (classes) => {
    if (classes !== undefined) {
        const array = Array.isArray(classes) ? classes : classes.split(' ');
        return array
            .filter(c => c != null)
            .map(c => c.trim())
            .filter(c => c !== '');
    }
    return [];
};
const getClassMap = (classes) => {
    const map = {};
    getClassList(classes).forEach(c => map[c] = true);
    return map;
};
const SCHEME = /^[a-z][a-z0-9+\-.]*:/;
const openURL = async (url, ev, direction) => {
    if (url != null && url[0] !== '#' && !SCHEME.test(url)) {
        const router = document.querySelector('ion-router');
        if (router) {
            if (ev != null) {
                ev.preventDefault();
            }
            return router.push(url, direction);
        }
    }
    return false;
};




/***/ }),

/***/ "./src/app/dashboard/dashboard-item.model.ts":
/*!***************************************************!*\
  !*** ./src/app/dashboard/dashboard-item.model.ts ***!
  \***************************************************/
/*! exports provided: DashboardItem, DashboardItems, PopoverItem, MainDashboardPage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DashboardItem", function() { return DashboardItem; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DashboardItems", function() { return DashboardItems; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PopoverItem", function() { return PopoverItem; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MainDashboardPage", function() { return MainDashboardPage; });
class DashboardItem {
    constructor(id, title, subtitle, outstanding, urgent, pristine, glyph, detail, routerLink) {
        this.id = id;
        this.title = title;
        this.subtitle = subtitle;
        this.outstanding = outstanding;
        this.urgent = urgent;
        this.pristine = pristine;
        this.glyph = glyph;
        this.detail = detail;
        this.routerLink = routerLink;
    }
}
class DashboardItems {
    constructor(dashboardItems, header, title) {
        this.dashboardItems = dashboardItems;
        this.header = header;
        this.title = title;
    }
}
class PopoverItem {
    constructor(id, name) {
        this.id = id;
        this.name = name;
    }
}
class MainDashboardPage {
    constructor(dashboardItems, popoverItems) {
        this.dashboardItems = dashboardItems;
        this.popoverItems = popoverItems;
    }
}


/***/ }),

/***/ "./src/app/notes/note-detail/note-detail.service.ts":
/*!**********************************************************!*\
  !*** ./src/app/notes/note-detail/note-detail.service.ts ***!
  \**********************************************************/
/*! exports provided: NoteDetailService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NoteDetailService", function() { return NoteDetailService; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/common/http */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ "./node_modules/rxjs/_esm2015/index.js");
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs/operators */ "./node_modules/rxjs/_esm2015/operators/index.js");
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../auth/auth.service */ "./src/app/auth/auth.service.ts");
/* harmony import */ var _note_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../note.model */ "./src/app/notes/note.model.ts");









class NoteDetailService {
    constructor(authService, http) {
        this.authService = authService;
        this.http = http;
        // tslint:disable-next-line: variable-name
        this._noteObject = new rxjs__WEBPACK_IMPORTED_MODULE_2__["BehaviorSubject"](null);
    }
    parseData(resData) {
        if (resData.data.note) {
            const note = resData.data.note;
            const noteObject = new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteObject"](note.number ? note.number : '', new _note_model__WEBPACK_IMPORTED_MODULE_5__["TermName"](note.name.singular, note.name.plural), note.relation ? new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteRelation"](note.relation.number, new _note_model__WEBPACK_IMPORTED_MODULE_5__["TermName"](note.relation.name.singular, note.relation.name.plural), note.relation.logoUrl) : null, note.address ? note.address.nameCity : '', new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteContact"](false, note.contactName, note.contactEmail, false), new Date(), note.dateTimeString, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteType"](note.type.id, note.type.name.singular, note.type.description), note.subject, note.result, note.text, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteStatus"](note.noteStatus ? note.noteStatus.id : null, note.noteStatus ? note.noteStatus.name.singular : null, note.noteStatus ? note.noteStatus.description : ''), new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteEmployee"](note.owner ? note.owner.id : null, note.owner ? note.owner.name : null, note.owner ? note.owner.email : null, false), new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteEmployee"](note.receiver ? note.receiver.id : null, note.receiver ? note.receiver.name : null, note.receiver ? note.receiver.email : null, false), note.pristine ? !note.pristine : true, note.ended, new Date(), note.endedDateTimeString, note.completed, new Date(), note.completedDateTimeString, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteMailText"](note.emailTextId, ''), Object(_note_model__WEBPACK_IMPORTED_MODULE_5__["itemGlyph"])(note.type.imageId));
            noteObject.setNoteDates(note.dateTime, note.endedDateTime, note.completedDateTime);
            return noteObject;
        }
        else {
            return null;
        }
    }
    fetchNote(id) {
        return this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(user => {
            if (!user) {
                return;
            }
            return this.http.get(user.url('note', [String(id)], []));
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(resData => {
            // API-error ?
            if (resData.error) {
                return this.authService.handleErrorAPI(resData.error);
            }
            // Data ? 
            return this.parseData(resData);
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(noteObject => {
            if (noteObject) {
                this._noteObject.next(noteObject);
            }
        }));
    }
    updateNote(noteObject) {
        return this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(user => {
            if (!user) {
                return;
            }
            let postData = {
                "data": {
                    "note": {
                        "number": noteObject.id,
                        "dateTime": user.dateTimeString(noteObject.noteDateTime),
                        "type": {
                            "id": noteObject.noteType.id
                        },
                        "noteStatus": {
                            "id": noteObject.status.id
                        },
                        "receiver": {
                            "id": noteObject.receiver.id
                        },
                        "owner": {
                            "id": noteObject.owner.id
                        },
                        "subject": noteObject.subject,
                        "newContact": noteObject.contact.newContact,
                        "contactName": noteObject.contact.name,
                        "contactRelationNumber": noteObject.relation.id,
                        "contactEmail": noteObject.contact.email,
                        "result": noteObject.outcome,
                        "pristine": !noteObject.read,
                        "ended": noteObject.ended,
                        "endedDateTime": user.dateTimeString(noteObject.endDateTime),
                        "completed": noteObject.completed,
                        "completedDateTime": user.dateTimeString(noteObject.completeDateTime),
                        "text": noteObject.text,
                        "emailTextId": noteObject.mailText.id,
                        "relation": {
                            "number": noteObject.relation.id
                        },
                        "address": {
                            "number": noteObject.relation.id,
                            "id": 1,
                            "index": 1
                        },
                        "sendEmail": noteObject.emailTo()
                    }
                }
            };
            return this.http.post(user.url('note', [noteObject.id], []), postData);
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(resData => {
            // API-error ?
            if (resData.error) {
                return this.authService.handleErrorAPI(resData.error);
            }
            // Data ? 
            return this.parseData(resData);
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(noteObject => {
            if (noteObject) {
                this._noteObject.next(noteObject);
            }
        }));
    }
}
NoteDetailService.ɵfac = function NoteDetailService_Factory(t) { return new (t || NoteDetailService)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"])); };
NoteDetailService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjectable"]({ token: NoteDetailService, factory: NoteDetailService.ɵfac, providedIn: 'root' });
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](NoteDetailService, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injectable"],
        args: [{
                providedIn: 'root'
            }]
    }], function () { return [{ type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"] }, { type: _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"] }]; }, null); })();


/***/ }),

/***/ "./src/app/sales-invoices/sales-invoices.service.ts":
/*!**********************************************************!*\
  !*** ./src/app/sales-invoices/sales-invoices.service.ts ***!
  \**********************************************************/
/*! exports provided: SalesInvoicesService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SalesInvoicesService", function() { return SalesInvoicesService; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/common/http */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ "./node_modules/rxjs/_esm2015/index.js");
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs/operators */ "./node_modules/rxjs/_esm2015/operators/index.js");
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../auth/auth.service */ "./src/app/auth/auth.service.ts");
/* harmony import */ var _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./sales-invoice.model */ "./src/app/sales-invoices/sales-invoice.model.ts");









class SalesInvoicesService {
    constructor(authService, http) {
        this.authService = authService;
        this.http = http;
        // tslint:disable-next-line: variable-name
        this._salesInvoices = new rxjs__WEBPACK_IMPORTED_MODULE_2__["BehaviorSubject"](null);
    }
    fetchSalesInvoices(id, amountType) {
        return this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(user => {
            if (!user) {
                return;
            }
            if (id === 9) {
                return this.http.get(user.url('salesInvoices', ['date', 'date'], ['amounts=' + amountType]));
            }
            else {
                return this.http.get(user.url('outstandingSalesInvoices', [], ['period=' + id, 'amounts=credit']));
            }
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(resData => {
            // API-error ?
            if (resData.error) {
                return this.authService.handleErrorAPI(resData.error);
            }
            // Data ?
            if (resData.data) {
                const salesInvoiceItems = [];
                if (resData.data.receipts) {
                    for (const item of resData.data.receipts) {
                        if (item['sales invoice']) {
                            const data = item['sales invoice'];
                            salesInvoiceItems.unshift(new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceItem"](data.number, data.dateString, data.address ?
                                new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceAddress"](data.address.nameCity) : null, data.attn ?
                                new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceContact"](data.attn.name) : null, data.paymentMethod, data.totalExcludingVat, data.totalIncludingVat, new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoiceTurnover"](data.turnover.age, data.turnover.payments ?
                                new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoicePayments"](data.turnover.payments.total ? data.turnover.payments.total : 0, new _sales_invoice_model__WEBPACK_IMPORTED_MODULE_5__["SalesInvoicePaymentStatus"](data.turnover.payments.status.description, data.turnover.payments.status.index !== 2)) : null)));
                        }
                    }
                }
                return {
                    salesInvoiceItems,
                    name: resData.data.name,
                    header: resData.data.header,
                    title: resData.data.title
                };
            }
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(salesInvoiceItems => {
            if (salesInvoiceItems) {
                this._salesInvoices.next(salesInvoiceItems);
            }
        }));
    }
}
SalesInvoicesService.ɵfac = function SalesInvoicesService_Factory(t) { return new (t || SalesInvoicesService)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"])); };
SalesInvoicesService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjectable"]({ token: SalesInvoicesService, factory: SalesInvoicesService.ɵfac, providedIn: 'root' });
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](SalesInvoicesService, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injectable"],
        args: [{
                providedIn: 'root'
            }]
    }], function () { return [{ type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"] }, { type: _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"] }]; }, null); })();


/***/ }),

/***/ "./src/app/sales-payments/sales-payment.model.ts":
/*!*******************************************************!*\
  !*** ./src/app/sales-payments/sales-payment.model.ts ***!
  \*******************************************************/
/*! exports provided: SalesPaymentItem, SalesPaymentItems, SalesPaymentObject */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SalesPaymentItem", function() { return SalesPaymentItem; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SalesPaymentItems", function() { return SalesPaymentItems; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SalesPaymentObject", function() { return SalesPaymentObject; });
class SalesPaymentItem {
    constructor(id, methodIndex, paymentIndex, invoiceTerm, namePlace, paymentDateTime, paymentDate, paymentAmount) {
        this.id = id;
        this.methodIndex = methodIndex;
        this.paymentIndex = paymentIndex;
        this.invoiceTerm = invoiceTerm;
        this.namePlace = namePlace;
        this.paymentDateTime = paymentDateTime;
        this.paymentDate = paymentDate;
        this.paymentAmount = paymentAmount;
    }
}
class SalesPaymentItems {
    constructor(salesPaymentItems, name, header, title) {
        this.salesPaymentItems = salesPaymentItems;
        this.name = name;
        this.header = header;
        this.title = title;
    }
}
class SalesPaymentObject extends SalesPaymentItem {
    constructor(termSingular, termPlural, id, methodIndex, paymentIndex, invoiceTerm, namePlace, invoiceDate, invoiceAmount, paymentDateTime, paymentDate, paymentAmount, employee, final) {
        super(id, methodIndex, paymentIndex, invoiceTerm, namePlace, paymentDateTime, paymentDate, paymentAmount);
        this.termSingular = termSingular;
        this.termPlural = termPlural;
        this.id = id;
        this.methodIndex = methodIndex;
        this.paymentIndex = paymentIndex;
        this.invoiceTerm = invoiceTerm;
        this.namePlace = namePlace;
        this.invoiceDate = invoiceDate;
        this.invoiceAmount = invoiceAmount;
        this.paymentDateTime = paymentDateTime;
        this.paymentDate = paymentDate;
        this.paymentAmount = paymentAmount;
        this.employee = employee;
        this.final = final;
    }
}


/***/ })

}]);
//# sourceMappingURL=common-es2015.js.map